/*
 *  Copyright (c) 2004 on behalf of the EU EGEE Project:
 *  The European Organization for Nuclear Research (CERN),
 *  Istituto Nazionale di Fisica Nucleare (INFN), Italy
 *  Datamat Spa, Italy
 *  Centre National de la Recherche Scientifique (CNRS), France
 *  CS Systeme d'Information (CSSI), France
 *  Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
 *  Universiteit van Amsterdam (UvA), Netherlands
 *  University of Helsinki (UH.HIP), Finland
 *  University of Bergen (UiB), Norway
 *  Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom
 */

#ifndef RGMA_COMMAND_H
#define RGMA_COMMAND_H

#include "rgma.h"     /* for RGMAResultSet and RGMAException */
#include "rgma_tcp.h" /* for BUFFERED_SOCKET */

/* Header file for rgma_command.c. */

extern RGMAResultSet *sendCommand(BUFFERED_SOCKET **, char *, char *, int, const char **, RGMAException*);

#endif /* RGMA_COMMAND_H */
