/*
 *  Copyright (c) 2004 on behalf of the EU EGEE Project:
 *  The European Organization for Nuclear Research (CERN),
 *  Istituto Nazionale di Fisica Nucleare (INFN), Italy
 *  Datamat Spa, Italy
 *  Centre National de la Recherche Scientifique (CNRS), France
 *  CS Systeme d'Information (CSSI), France
 *  Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
 *  Universiteit van Amsterdam (UvA), Netherlands
 *  University of Helsinki (UH.HIP), Finland
 *  University of Bergen (UiB), Norway
 *  Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom
 */

#ifndef RGMA_SSL_H
#define RGMA_SSL_H

/* Header for rgma_ssl.c */

typedef void *RGMA_SSL;

extern void rgmassl_cleanup(void);
extern RGMA_SSL rgmassl_connect(int socket);
extern int rgmassl_recv(RGMA_SSL ssl, void *buf, int num);
extern int rgmassl_send(RGMA_SSL ssl, const void *buf, int num);
extern int rgmassl_shutdown(RGMA_SSL ssl);
extern void rgmassl_free(RGMA_SSL ssl);
extern int rgmassl_ping(RGMA_SSL ssl, int socket);

#endif /* RGMA_SSL_H */
